package cn.ftebox.service;

import cn.ftebox.entity.Blogger;
import cn.ftebox.entity.Link;

import java.util.List;
import java.util.Map;

public interface BloggerService {
    public Blogger getByUserName(String userName);
    /**
     * 更新博主对象
     */
    public Integer update(Blogger blogger);

    /**
     * 查询博主
     */
    public Blogger find();

    /**
     * 新增博主
     */
    public Integer insert(Blogger blogger);

    /** 不固定参数查询友情链接列表 */
    public List<Link> list(Map<String,Object> paramMap);

    /** 不固定参数查询友情链接数 */
    public Long getTotal(Map<String,Object> paramMap);

    /** 删除一条友情链接 */
    public Integer delete(Integer id);
}
